Subject: Re: od
From: "Michael A Chase" <[email-masked]>
To: "David" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 19 Feb 2002 08:50:56 -0800

----- Original Message -----
From: "David" <[email-masked]>
To: "Mark Himsley" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, February 19, 2002 06:03
Subject: Re: od

>  > >You can see that the hex values in the last line are reversed.
>  > >I think they should be 4854 5450 000a.
>  >
>  > Only if you were on a big-endian platform.
>
> I can understand what you are saying if I interpret it to mean that
> the hex storage values on my machine WindowsNT - which I assume from
> you message is a big-endian platform - are faithfully represented
> by the output from the od -bcx display.
>
> What then surprises me is that the octal representation of this
> same storage is 110 124 124 120 which is what I would expect.
>
> It seems to me that you are suggesting that the only correct
> representation of the hex storage values would require od to
> ouput an ascii value of THPT. I reject, and od itself contradicts,
> this interpretation of the storage values as being meaningful.
>
> I urge you to reconsider your opinion and to modify od to
> output 4854 5450.

No-one here can modify how od works.  If it is really important to you, take
it up with the appropriate GNU group.  Don't expect a lot of sympathy from
them though, this behavior has been consistent for decades.
--
Mac :})
** I normally forward private questions to the appropriate mail list. **
Ask Smarter: http://www.tuxedo.org/~esr/faqs/smart-questions.htm
Give a hobbit a fish and he eats fish for a day.
Give a hobbit a ring and he eats fish for an age.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/